diff -ruN lang/slib-guile/Makefile /usr/ports/lang/slib-guile/Makefile
--- lang/slib-guile/Makefile	2008-02-24 21:15:29.469452251 -0600
+++ /usr/ports/lang/slib-guile/Makefile	2007-01-24 10:19:21.000000000 -0600
@@ -7,7 +7,6 @@
 
 PORTNAME=	slib
 PORTVERSION=	3a4 # Keep this in sync with lang/slib
-PORTREVISION=	1
 CATEGORIES=	lang scheme
 MASTER_SITES=	# empty
 PKGNAMESUFFIX=	-guile
@@ -22,15 +21,10 @@
 
 NO_BUILD=	yes
 
-.include <bsd.port.pre.mk>
-
-GUILE_VER!=	${LOCALBASE}/bin/guile-config info guileversion | ${CUT} -f 1-2 -d .
-PLIST_SUB=	GUILE_VER=${GUILE_VER}
-
 do-install:
-	${LN} -shf ${PREFIX}/share/slib ${LOCALBASE}/share/guile/${GUILE_VER}/slib
-	cd ${PREFIX}/share/guile/${GUILE_VER}/slib && \
+	${LN} -shf ${PREFIX}/share/slib ${LOCALBASE}/share/guile/1.6/slib
+	cd ${PREFIX}/share/guile/1.6/slib && \
 		${LOCALBASE}/bin/guile -q -l guile.init -c \
 		"(require 'new-catalog)"
 
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>
diff -ruN lang/slib-guile/pkg-plist /usr/ports/lang/slib-guile/pkg-plist
--- lang/slib-guile/pkg-plist	2008-02-24 20:50:39.147358801 -0600
+++ /usr/ports/lang/slib-guile/pkg-plist	2006-10-14 03:35:41.000000000 -0500
@@ -1,4 +1,4 @@
-@exec ln -shf %D/share/slib %D/share/guile/%%GUILE_VER%%/slib
+@exec ln -shf %D/share/slib %D/share/guile/1.6/slib
 @exec %D/bin/guile -q -l %%LOCALBASE%%/share/slib/guile.init -c "(require 'new-catalog)"
-@unexec rm -f %D/share/guile/%%GUILE_VER%%/slib
-@unexec rm -f %D/share/guile/%%GUILE_VER%%/slibcat
+@unexec rm -f %D/share/guile/1.6/slib
+@unexec rm -f %D/share/guile/1.6/slibcat
